<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/31/2008 *
 * ===================                          Last change: 08/31/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_surfbar.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Configuration for surfbar                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Konfiguration fuer Surfbar                       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Was the form submitted?
if (isFormSent()) {
	// Replace german decimal comma with computer decimal dot
	if (isPostRequestParameterSet(('surfbar_static_reward')))   setPostRequestParameter('surfbar_static_reward'  , convertCommaToDot(postRequestParameter('surfbar_static_reward')));
	if (isPostRequestParameterSet(('surfbar_static_costs')))    setPostRequestParameter('surfbar_static_costs'   , convertCommaToDot(postRequestParameter('surfbar_static_costs')));
	if (isPostRequestParameterSet(('surfbar_dynamic_percent'))) setPostRequestParameter('surfbar_dynamic_percent', convertCommaToDot(postRequestParameter('surfbar_dynamic_percent')));

	// Save settings
	adminSaveSettingsFromPostData();
} else {
	// Prepare content
	$content = array(
		'surfbar_static_reward'   => translateComma(getConfig('surfbar_static_reward')),
		'surfbar_static_costs'    => translateComma(getConfig('surfbar_static_costs')),
		'surfbar_static_time'     => createTimeSelections(getConfig('surfbar_static_time')   , 'surfbar_static_time'   , 'ms' , 'left'),
		'surfbar_static_lock'     => createTimeSelections(getConfig('surfbar_static_lock')   , 'surfbar_static_lock'   , 'hm' , 'left'),
		'surfbar_restart_time'    => createTimeSelections(getConfig('surfbar_restart_time')  , 'surfbar_restart_time'  , 'ms' , 'left'),
		'surfbar_dynamic_percent' => translateComma(getConfig('surfbar_dynamic_percent')),
		'surfbar_max_order'       => getConfig('surfbar_max_order'),
		'surfbar_stats_reload'    => createTimeSelections(getConfig('surfbar_stats_reload')  , 'surfbar_stats_reload'  , 'ms' , 'left'),
		'surfbar_purge_deleted'   => createTimeSelections(getConfig('surfbar_purge_deleted') , 'surfbar_purge_deleted' , 'WDh', 'left'),
		'surfbar_purge_migrated'  => createTimeSelections(getConfig('surfbar_purge_migrated'), 'surfbar_purge_migrated', 'WDh', 'left'),
		'surfbar_pause_url'       => getConfig('surfbar_pause_url'),
		'surfbar_warn_low_points' => getConfig('surfbar_warn_low_points'),
		'surfbar_low_interval'    => createTimeSelections(getConfig('surfbar_low_interval')  , 'surfbar_low_interval'  , 'WDh', 'left'),
	);

	// Prepare further Y/N config entries
	foreach (array('surfbar_autostart','surfbar_notify_limits','surfbar_notify_admin_unlock','surfbar_migrate_order','surfbar_guest_login_form') as $entry) {
		$content[$entry . '_y'] = '';
		$content[$entry . '_n'] = '';
		$content[$entry . '_' . strtolower(getConfig($entry))] = ' checked="checked"';
	} // END - foreach

	// Even some more...
	foreach (array('surfbar_pay_model_static','surfbar_pay_model_dynamic','surfbar_pause_mode_internal','surfbar_pause_mode_external','surfbar_notification_mode_instant','surfbar_notification_mode_reset') as $entry) {
		$content[$entry] = '';
	} // END - if

	// Prepare selections
	foreach (array('surfbar_pay_model','surfbar_pause_mode','surfbar_notification_mode') as $entry) {
		$content[$entry . '_' . strtolower(getConfig($entry))] = ' checked="checked"';
	} // END - foreach

	// Load template
	loadTemplate('admin_config_surfbar', false, $content);
}

// [EOF]
?>
